/*
 * This file is part of Remote Camera.
 *
 * Copyright (C) 2012 Digia Plc
 *
 * Remote Camera is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * Remote Camera is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Remote Camera; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA
 */

import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.systeminfo 1.2

PageStackWindow {
    id: appWindow
    showStatusBar: false

    initialPage: mainPage

    MainPage {
        id: mainPage
        orientationLock: PageOrientation.LockLandscape
    }

    SettingsPage {
        id: setpage
        orientationLock: PageOrientation.Automatic
    }

    GalleryPage {
        id: gallerypage
        orientationLock: PageOrientation.Automatic
    }

    ScreenSaver {
        id: screensave
    }

    Component.onCompleted: {
        screensave.setScreenSaverInhibit();
        theme.inverted = true
    }
}
